Index: squid/src/client_side.c
diff -u squid/src/client_side.c:1.1.1.30 squid/src/client_side.c:1.1.1.30.2.1
--- squid/src/client_side.c:1.1.1.30	Sat Oct  3 02:58:12 1998
+++ squid/src/client_side.c	Sun Oct 18 13:51:38 1998
@@ -2121,7 +2121,7 @@
 			if (request->port == Config.Port.http->i)
 			    http->flags.internal = 1;
 		    } else if (internalStaticCheck(strBuf(request->urlpath))) {
-			xstrncpy(request->host, getMyHostname(), SQUIDHOSTNAMELEN);
+			xstrncpy(request->host, internalHostname(), SQUIDHOSTNAMELEN);
 			request->port = Config.Port.http->i;
 			http->flags.internal = 1;
 		    }
Index: squid/src/protos.h
diff -u squid/src/protos.h:1.1.1.30 squid/src/protos.h:1.1.1.30.2.1
--- squid/src/protos.h:1.1.1.30	Sat Oct  3 02:58:21 1998
+++ squid/src/protos.h	Sun Oct 18 13:51:41 1998
@@ -912,6 +912,7 @@
 
 
 extern const char *getMyHostname(void);
+extern const char *internalHostname(void);
 extern const char *uniqueHostname(void);
 extern void safeunlink(const char *path, int quiet);
 extern void death(int sig);
Index: squid/src/tools.c
diff -u squid/src/tools.c:1.1.1.16 squid/src/tools.c:1.1.1.16.2.1
--- squid/src/tools.c:1.1.1.16	Sat Oct  3 02:58:27 1998
+++ squid/src/tools.c	Sun Oct 18 13:51:42 1998
@@ -426,6 +426,19 @@
 }
 
 const char *
+internalHostname(void)
+{
+    LOCAL_ARRAY(char, host, SQUIDHOSTNAMELEN + 1);
+    char *t;
+
+    xstrncpy(host, getMyHostname(), SQUIDHOSTNAMELEN);
+    for (t = host; *t; t++)
+	*t = tolower(*t);
+
+    return host;
+}
+
+const char *
 uniqueHostname(void)
 {
     return Config.uniqueHostname ? Config.uniqueHostname : getMyHostname();
